<!DOCTYPE html>
<html xmlns:layout="http://www.ultraq.net.nz/thymeleaf/layout">
<html>
  <head>
    <meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.1.0/dist/css/bootstrap.min.css"
        rel="stylesheet"
        integrity="sha384-KyZXEAg3QhqLMpG8r+8fhAXLRk2vvoC2f3B09zVXn8CA5QIVfZOJ3BCsw2P0p/We"
        crossorigin="anonymous">
  </head>
  <body>
    <nav class="navbar navbar-expand-lg navbar-light bg-light">
      <div class="container">
        <a class="navbar-brand" href="/">Main</a>
        <ul class="navbar-nav me-auto mb-2 mb-lg-0">
          <li class="nav-item">
            <a class="nav-link" href="/users">Users</a>
          </li>
        </ul>
        <ul class="navbar-nav" th:if="${session.userId}">
          <form action='/logout' method="post">
            <button type="submit" class="btn btn-link nav-link">Logout</button>
          </form>
        </ul>
        <ul class="navbar-nav" th:unless="${session.userId}">
          <li class="nav-item">
            <a class="nav-link" href="/users/new">Registration</a>
          </li>
          <li class="nav-item">
            <a class="nav-link" href="/login">Login</a>
          </li>
        </ul>
      </div>
    </nav>
      <div class="container mt-3">
        <div th:if="${session.flash}" class="alert alert-info" role="alert" th:text="${session.flash}"></div>
        <div th:if="${session.flash}" th:text="${#session.removeAttribute('flash')}"></div>
        <section layout:fragment="content"></section>
      </div>
  </body>
</html>
